Bug 1390105 - Incorrect behavior when saving PNG image with a filename that includes &
Summary: Incorrect behavior when saving PNG image with a filename that includes &
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gscan2pdf
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/p/gscan2pdf/b...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-31 08:14 UTC by Joachim Metz
Modified: 2016-11-19 21:07 UTC (History)
3 users (show)

Fixed In Version: gscan2pdf-1.5.5-2.fc26 gscan2pdf-1.3.9-3.fc24 gscan2pdf-1.3.0-4.fc23 gscan2pdf-1.5.5-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-14 20:59:55 UTC


Attachments (Terms of Use)

Description Joachim Metz 2016-10-31 08:14:56 UTC
Description of problem:

After scanning, when saving scan results as a filename that includes & 
for example 'sed & awk', gscan2pdf is not interpreting the filename correctly.

From the console output:

sh:  awk_421.png: command not found
sh:  awk/sed : No such file or directory


Judging by "command not found" this could be command injection issue as well. 


Version-Release number of selected component (if applicable):
1.3.9


How reproducible:
consistent


Steps to Reproduce:
1. make scan
2. save as png with filename that includes &

Actual results:

single filename named <name before &>

and error output like
sh:  awk_421.png: command not found
sh:  awk/sed : No such file or directory

Expected results:

filenames with &

Additional info:

Comment 1 Petr Pisar 2016-11-01 12:23:12 UTC
I can reproduce it with gscan2pdf-1.3.9-2.fc24.noarch.

Comment 2 Fedora Update System 2016-11-01 15:21:07 UTC
gscan2pdf-1.5.5-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5dc01a4093

Comment 3 Fedora Update System 2016-11-01 15:21:19 UTC
gscan2pdf-1.3.9-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b36d42b70

Comment 4 Fedora Update System 2016-11-01 15:32:53 UTC
gscan2pdf-1.3.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9739c15130

Comment 5 Fedora Update System 2016-11-02 14:51:46 UTC
gscan2pdf-1.5.5-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5dc01a4093

Comment 6 Fedora Update System 2016-11-05 03:31:08 UTC
gscan2pdf-1.3.9-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b36d42b70

Comment 7 Fedora Update System 2016-11-05 03:49:22 UTC
gscan2pdf-1.3.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9739c15130

Comment 8 Fedora Update System 2016-11-06 01:51:33 UTC
gscan2pdf-1.3.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9739c15130

Comment 9 Fedora Update System 2016-11-14 20:59:55 UTC
gscan2pdf-1.3.9-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-14 23:51:18 UTC
gscan2pdf-1.3.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-19 21:07:20 UTC
gscan2pdf-1.5.5-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.